<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53
//	Copyright IBM Corporation 2006,2007. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page language="java" import="java.util.*"%>
<%@ page import="org.apache.struts.util.MessageResources"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>

<!-- tiles:useAttribute name="dsProperty" classname="java.lang.String" / -->

<bean:define id="formBean" name="com.ibm.ws.console.wbi.scaconfig.SCAConfigForm"
		type="com.ibm.ws.console.wbi.scaconfig.SCAConfigForm"/>

 
<!--
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 -->
 
<script type="text/javascript" src="/ibm/console/scripts/menu_functions.js"></script>

<script type="text/javascript">
var sysBusElements=new Array('sysBus.edit:sysBus.test:sysBus1:sysBus2:sysBus3:sysBus4:sysBus5:sysBus6:sysBus7');
var appBusElements=new Array('appBus.edit:appBus.test:appBus1:appBus2:appBus3:appBus4:appBus5:appBus6:appBus7');


function disableField(field){
		document.getElementById(field).disabled=true;
		document.getElementById(field).className = "textEntryReadOnly";
		if(isDom){
			document.getElementById(field).parentNode.style.color="#CCCCCC";
		}else{
			document.getElementById(field).parentElement.style.color="#CCCCCC";
		}
}
function enableField(field){
		document.getElementById(field).disabled=false;
		if(isDom){
			document.getElementById(field).parentNode.style.color="#000000";
		}else{
			document.getElementById(field).parentElement.style.color="#000000";
		}
}
function setSCAStatus(){
	<%if (formBean.isScaInstalled()) {%>
		document.getElementById("enableSCA").disabled = true;
		enableDisable('enableSCA:remoteSCA:localSCA:sysBus7:configAppBusDs');
		<%if(!formBean.isSysBusDataStore())%>
			enableDisable('enableSCA:sysBus.edit:sysBus.test:sysBus1:sysBus2:sysBus3:sysBus4:sysBus5:sysBus6');
		<%if(!formBean.isAppBusDsCreated()) {%>
			enableField('configAppBusDs');
			enableDisable('configAppBusDs:'+appBusElements);
			<%if(!formBean.isAppBusDataStore())%>
				enableDisable('configAppBusDs:appBus.edit:appBus.test:appBus1:appBus2:appBus3:appBus4:appBus5:appBus6:appBus7');
		<%}else{%>
			<%if(!formBean.isAppBusDataStore())%>
				enableDisable('configAppBusDs:appBus.edit:appBus.test:appBus1:appBus2:appBus3:appBus4:appBus5:appBus6:appBus7');
			<%else%>
				enableDisable('configAppBusDs:appBus7');
		<%}%>
		enableDisable('remoteSCA:remoteScaDestLocation:new');
		disabpleDSFields();
	<%} else {%>
	if(document.getElementById("enableSCA").checked){
		enableSCAFields();
	}else{
		enableDisable('enableSCA:remoteSCA:remoteScaDestLocation:localSCA:configAppBusDs:sysBus.edit:sysBus.test:appBus.edit:appBus.test:'+appBusElements +':'+sysBusElements);
	}
	<%}%>
}
function enableSCAFields(){
	enableDisable('enableSCA:remoteSCA:localSCA:configAppBusDs:'+sysBusElements);
	enableDisable('configAppBusDs:'+appBusElements);
	enableDisable('remoteSCA:remoteScaDestLocation:new');
	<%if (!formBean.getScaLocation().equals("remote")){%>
		document.getElementById("localSCA").checked = true;
	<%}%>
	disabpleDSFields();
}
function disabpleDSFields(){
<logic:iterate id="field" name="formBean" property="disabledDSFields" >
disableField('<bean:write name="field" />');
</logic:iterate> 
}
function enableRemoteSCAFields(){
	enableDisable('remoteSCA:remoteScaDestLocation:new');
	destinationChanged();
}
function enableAppBusDsFields(){
	enableDisable('configAppBusDs:'+appBusElements);
}
function destinationChanged(){
	name=document.getElementById("formBeanName").value;
	document.getElementById("scopeChanged").value="true"
	var x=document.getElementsByName(name);
    x[0].submit();
}
</script>

<td class="table-text"  scope="row" valign="top" nowrap>

	<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
			width="100%" summary="Service Component Architecture Configuration">
	
		<!-- checkbox: Configure the service component architecture -->
		<tr>
			<td class="table-text" nowrap>
				<label for="enableSCA"
				title="<bean:message key="scaconfig.enableSCA.checkbox.description"/>">
					<html:checkbox property="enableSCA"
							styleId="enableSCA"
							onclick="enableSCAFields()" />
					<bean:message key="scaconfig.enableSCA.checkbox.label" />
				</label>
			</td>
		</tr>	   
		<!-- checkbox: Configure the service component architecture -->
		
		<!-- Service Component Architecture Configuration -->
		<tr>
			<td class="table-text" style="padding-left:30px;" nowrap id="mainScaConfigCell">
			
				<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
						width="100%" summary="Service Component Architecture Configuration">
										
					<!-- Select a destination location -->
					<tr>
						<td class="table-text" nowrap>
							<fieldset>
								<legend>
									<bean:message key="scaconfig.destination.location" />
								</legend>
								<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
										width="100%" summary="Destination Location">
									<!-- Local -->
									<tr>
										<td class="table-text" nowrap>
											<label for="localSCA"
												title="<bean:message key="scaconfig.local.destination.description"/>">
											<html:radio property="scaLocation"
												styleId="localSCA"
												value="<%=formBean.SCA_LOCAL%>"
												onclick="enableRemoteSCAFields()" />
											<bean:message key="scaconfig.local.destination" />
											</label>
										</td>
									</tr>
									<!-- Remote -->
									<tr>
										<td class="table-text">
											<label for="remoteSCA" title="<bean:message key="scaconfig.remote.destination.description"/>">
												<html:radio property="scaLocation"	styleId="remoteSCA"	value="<%=formBean.SCA_REMOTE%>" onclick="enableRemoteSCAFields()" />
													<bean:message key="scaconfig.remote.destination" />
											</label>
										</td>
									</tr>
									<tr>
										<td class="table-text" >
										<label title="<bean:message key="scaconfig.remote.destination.description"/>">
											<html:select property="remoteScaDestLocation" styleId="remoteScaDestLocation" onchange="destinationChanged()">
												<logic:present name="formBean" property="remoteDestLocationList">
													<html:options name="formBean" property="remoteDestLocationList" />
												</logic:present>
											</html:select>
										</label>
										<label  for="new" title="<bean:message key="scaconfig.remote.destination.new.label"/>">
											<input type="submit" name="new" 
												value="<bean:message key="scaconfig.remote.destination.new" />" 
												style="background-color:#EAF1FF;border-color:#8CB1D1 rgb(51, 102, 153) rgb(51, 102, 153) rgb(140, 177, 209);border-style:solid;border-width:1px;font-family:Verdana,sans-serif;font-weight:normal;font-size:95%" 
												id="new" />
										</label>
										</td>
									</tr>
								</table>
							</fieldset>						
						</td>
					</tr>
						<!-- Select a destination location -->
						
					<tr>
						<td class="table-text" style="padding-left:30px;" id="scaConfigLocallyCell">
							<!-- Field Set: System Bus -->
							<fieldset>
								<legend>
									<bean:message key="scaconfig.sysBusDs.title" />
								</legend>
								<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
										width="100%" summary="SCA system bus data store Configuration">
									<tr>
										<td class="table-text">
											<bean:message key="scaconfig.configSysBusDs.title" />
										</td>
									</tr>
									<tr>
										<td class="table-text" nowrap>
											<tiles:insert definition="sysBus.datasource.config.view" flush="true" >
											</tiles:insert>
										</td>
									</tr>	
								</table>								
							</fieldset>
							<!-- Field Set: System Bus -->
							
							<!-- Field Set: Application Bus -->
							<fieldset>
								<legend>
									<bean:message key="scaconfig.appBusDs.title" />
								</legend>
								<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
										width="100%" summary="SCA system bus data store Configuration">
									<tr>
										<td class="table-text">
											<bean:message key="scaconfig.configAppBusDs.title" />
										</td>
									</tr>	
									<!-- App bus: checkbox: Configure the application bus -->
									<tr>
										<td class="table-text" nowrap>
											<label for="configAppBusDs" title="<bean:message key="scaconfig.configAppBusDs.checkbox.description"/>">
												<html:checkbox property="configAppBusDs"
														styleId="configAppBusDs"
														onclick="enableAppBusDsFields()" />
												<bean:message key="scaconfig.configAppBusDs.checkbox.label" />
											</label>
										</td>
									</tr>
									<tr>
										<td class="table-text" nowrap id="appbusDsConfigCell">
											<tiles:insert definition="appBus.datasource.config.view" flush="true" >
											</tiles:insert>
										</td>
									</tr>	
								</table>								
							</fieldset>
							<!-- Field Set: Application Bus -->
							
						</td>
					</tr>
					<!-- radiobox: Configure a remote destination location locally -->
				</table>		
			
			</td>
		</tr>	   
		<!-- Service Component Architecture Configuration -->
	</table>

</td>
<input type="hidden" name="scopeChanged" id="scopeChanged" value="false"> 
<script type="text/javascript">
	setSCAStatus();
</script>
