<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53
//	Copyright IBM Corporation 2006,2011. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%@ page language="java" import="java.util.*"%>
<%@ page import="org.apache.struts.util.MessageResources"%>
<%@ page import="com.ibm.ws.console.wbi.ceipme.*"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>

<!-- tiles:useAttribute name="dsProperty" classname="java.lang.String" / -->

<bean:define id="formBean" name="com.ibm.ws.console.wbi.ceipme.CEIServerCommonForm"
		type="com.ibm.ws.console.wbi.ceipme.CEIServerCommonForm"/>
	
<%
boolean isEnableServer = formBean.isEnableServer();
String remoteDest = formBean.getRemoteDest();
String radioDest = formBean.getRadioDest();
ArrayList remoteDestList = formBean.getRemoteDestList();
%>

 
<!--
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 -->
 
<script type="text/javascript" src="/ibm/console/scripts/menu_functions.js"></script>

<script type="text/javascript">
function disableBusProvider(){
	document.getElementById("CEIBus7").disabled = true;
}
function enableBusProvider(){
	document.getElementById("CEIBus7").disabled = false;
}
function displayControl() {
	if (!isDom) 
	{
            // IE!!
            if(document.getElementById("enableServer").checked){
				document.getElementById("mainCEIServerCell").disabled = false;
				enableBusProvider();
				document.getElementById("remoteDest").disabled = false;
			}
			else{
				document.getElementById("mainCEIServerCell").disabled = true;
				disableBusProvider();
				document.getElementById("remoteDest").disabled = true;
			}		
			if(document.getElementById("enableServer").checked){
				if(document.getElementById("configDestLocalCheck").checked){
					document.getElementById("useRemoteDestCell").disabled = true;	
					document.getElementById("remoteDest").disabled = true;		
				}
	
				if(document.getElementById("useRemoteDestCheck").checked){
					document.getElementById("useRemoteDestCell").disabled = false;	
					document.getElementById("remoteDest").disabled = false;
				}
			}
    } 
    else
    {
            // Mozilla !!
            if(document.getElementById("enableServer").checked){
				for(i=1;i<=7;i++){ 
				    yid="CEIBus"+i;
					document.getElementById(yid).disabled = false;
				}
				document.getElementById("configDestLocalCheck").disabled = false;
				document.getElementById("useRemoteDestCheck").disabled = false;
				document.getElementById("remoteDest").disabled = false;
				enableAllButtons();
			}
			else{
				for(i=1;i<=7;i++){ 
				    yid="CEIBus"+i;
					document.getElementById(yid).disabled = true;
					document.getElementById(yid).parentNode.style.color="#CCCCCC";
				}
				document.getElementById("configDestLocalCheck").disabled = true;
				document.getElementById("useRemoteDestCheck").disabled = true;
				document.getElementById("remoteDest").disabled = true;
				disableAllButtons();
			}

			if(document.getElementById("configDestLocalCheck").checked){				
				document.getElementById("useRemoteDestCell").disabled = true;
				document.getElementById("remoteDest").disabled = true;	
				var	button=document.getElementsByName("new");
				button[0].disabled = true;			
			}
	
			if(document.getElementById("useRemoteDestCheck").checked){
				if(document.getElementById("enableServer").checked){
				document.getElementById("useRemoteDestCell").disabled = false;
				document.getElementById("remoteDest").disabled = false;
				var	button=document.getElementsByName("new");
				button[0].disabled = false;		
				}
			}   
    }
	
	
}

function localClicked(){
	if(document.getElementById("enableServer").checked)
	{
				if(document.getElementById("configDestLocalCheck").checked){
					document.getElementById("useRemoteDestCell").disabled = true;	
					document.getElementById("remoteDest").disabled = true;	
					var	button=document.getElementsByName("new");
					button[0].disabled = true;	
					
					document.getElementById("scopeChanged").value=true;
					submitForm();	
				}
	}
}
function remoteClicked(){
	if(document.getElementById("enableServer").checked)
	{
		if(document.getElementById("useRemoteDestCheck").checked)
		{
			document.getElementById("useRemoteDestCell").disabled = false;	
			document.getElementById("remoteDest").disabled = false;
			var	button=document.getElementsByName("new");
			button[0].disabled = false;	
				
			if(document.getElementById("remoteDest").value!="")
			{
				document.getElementById("scopeChanged").value=true;
				submitForm();
			}
		}
	}
}
function remoteDesChanged(){
	if(document.getElementById("remoteDest").value!="")
	{
			document.getElementById("scopeChanged").value="true";
			submitForm();
	}
}
function disableAllButtons(){
				button=document.getElementsByName("CEIBus.test");
				button[0].disabled = true;
				button=document.getElementsByName("CEIBus.edit");
				button[0].disabled = true;
				button=document.getElementsByName("new");
				button[0].disabled = true;
}

function enableAllButtons(){
				button=document.getElementsByName("CEIBus.test");
				button[0].disabled = false;
				button=document.getElementsByName("CEIBus.edit");
				button[0].disabled = false;
				button=document.getElementsByName("new");
				button[0].disabled = false;
}
function disableBusButtons(){
				var button=document.getElementsByName("CEIBus.test");
				button[0].disabled = true;
				button=document.getElementsByName("CEIBus.edit");
				button[0].disabled = true;
}

function enableBusButtons(){
				var button=document.getElementsByName("CEIBus.test");
				button[0].disabled = false;
				button=document.getElementsByName("CEIBus.edit");
				button[0].disabled = false;
}

function ceiConfigured(){
	document.getElementById("enableServer").disabled = true;
	document.getElementById("configDestLocalCheck").disabled = true;
	document.getElementById("useRemoteDestCheck").disabled = true;
	document.getElementById("remoteDest").disabled = true;
	var button=document.getElementsByName("new");
	button[0].disabled = true;
	disableBusProvider();
	disableBusDsWhenConfigured();
}

function disableBusDsWhenConfigured(){
  // disable checkbox "createTables"
  document.getElementById("CEIBus3").disabled = true;
  if(document.getElementById("CEIBus3Hidden")!=null)
  	document.getElementById("CEIBus3Hidden").disabled = true;
  // disable serverName and portNumber if provider is derbyEmbedded
  var provider=document.getElementById("CEIBus7");
  if(provider!=null){
  	if(provider.value.indexOf("DERBY_EMBEDDED")>=0){
  		disableText("CEIBus6");
  		//disable userName and password too
  		disableText("CEIBus4");
  		disableText("CEIBus5");
  		}
  }
}		

function disableText(id){
  document.getElementById(id).className = "textEntryReadOnly";
   if (isDom) 
   {
        document.getElementById(id).parentNode.style.color = "#CCCCCC";
   } else {
        document.getElementById(id).parentElement.style.color = "#CCCCCC";
   }
  document.getElementById(id).disabled = true;
}		
function submitForm(){
	var x=document.getElementsByName("com.ibm.ws.console.wbi.ceipme.CEIServerCommonForm");
	x[0].submit();
}
function disableMEForFileStore()
{
	disableBusButtons();
	for(i=1;i<=7;i++)
	{ 
		yid="CEIBus"+i;
		document.getElementById(yid).disabled = true;
		document.getElementById(yid).parentNode.style.color="#CCCCCC";
	}
}
function disableDSFields()
{
	// disable createTables if getCreateTable() call returns null
  	// ME datasource
  	<%
	if(formBean.disableCreateTableForMEDs())
	{
	%>
	  		document.getElementById("CEIBus3").disabled = true;
  			if(document.getElementById("CEIBus3Hidden")!=null)
  				document.getElementById("CEIBus3Hidden").disabled = true;
  	<%
	}
	%>

    <%
    if(formBean.disableUserNameForMEDs())
    {
    %>
        disableText("CEIBus4");
    <%
    }
    %>

    <%
    if(formBean.disablePasswordForMEDs())
    {
    %>
        disableText("CEIBus5");
    <%
    }
    %>

}

</script>

<td class="table-text"  scope="row" valign="top" nowrap>

	<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
			width="100%" summary="Common Event Infrastructure Server Configuration">
	
		<!-- checkbox: Enable CEI -->
		<tr>
			<td class="table-text" nowrap>
				<label for="enableServer" title="<bean:message key="WPSCluster.ceiserver.isEnableServer.description"/>">
					<html:checkbox property="enableServer"
							styleId="enableServer"
							onclick="displayControl()" />
							<input type="hidden" name="enableServer" value="false" /> 
					<bean:message key="WPSCluster.ceiserver.isEnableServer.label" />
				</label>
			</td>
		</tr>	   
		<!-- checkbox: Enable CEI -->
		
		<!-- CEI Server -->
		<tr>
			<td class="table-text" style="padding-left:30px;" nowrap id="mainCEIServerCell">
			

				<!-- Field Set: CEI Bus Destination Location-->
				<fieldset>
					<legend>
						<bean:message key="WPSCluster.ceiserver.CEIBusDesLoc.label" />
					</legend>
					<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
						width="100%" summary="CEI Bus Destination Location">
						
						<!-- radiobox: Configure a remote destination location locally -->
						<tr>
							<td class="table-text" nowrap>
								<label for="localConfig" title="<bean:message key="WPSCluster.ceiserver.configDestLocal.description"/>">
									<html:radio property="radioDest"
										styleId="configDestLocalCheck"
										value="configDestLocal"
										onclick="localClicked()" />
				    	                <bean:message key="WPSCluster.ceiserver.configDestLocal.label" />
								</label>
							</td>
						</tr>
					
						<!-- radiobox: Use a remote destination location -->
						<tr>
							<td class="table-text" nowrap>
								<label for="remoteSelect" title="<bean:message key="WPSCluster.ceiserver.useRemoteDest.description"/>">
									
									<html:radio property="radioDest"
											styleId="useRemoteDestCheck"
											value="useRemoteDest"
											onclick="remoteClicked()" />	
									<bean:message key="WPSCluster.ceiserver.useRemoteDest.label" />
								</label>
							</td>
						</tr>
						<tr>
							<td class="table-text" style="padding-left:30px;" nowrap id="useRemoteDestCell">
								<html:select property="remoteDest" styleId="remoteDest" onchange="remoteDesChanged()">
									<%
										if (remoteDestList != null)
										{
											for (int j = 0; j < remoteDestList.size(); j++)
											{
												String value = (String) remoteDestList.get(j);		
												%>
												<html:option value="<%=value%>">
													<%=value%>
												</html:option>
												<%         
											}
										}
									%>
								</html:select>
							<input type="submit" name="new" value="<bean:message key="BrowseDeployTarget.new.displayName" />" id="functions" class="buttons"/>
							</td>
						</tr>
						<!-- radiobox: Use a remote destination location -->
						<html:hidden property="scopeChanged" styleId="scopeChanged" />	
					</table>													
				</fieldset>						
				<!-- CEI Bus Destination Location -->
				
				<!-- Field Set: CEI Bus -->
				<fieldset>
					<legend>
						<bean:message key="WPSCluster.ceiserver.commonEventInfrastructureBus.label" />
					</legend>
					<table class="framing-table" border="0" cellpadding="5" cellspacing="0"
						width="100%" summary="CEI Bus">	
						<tr>
							<td class="table-text" nowrap">
							<bean:message key="WPSCluster.ceiserver.bus.description" />	
							</td>
						</tr>				
						<tr>
							<td class="table-text" style="padding-left:30px;" id="configDestLocalCell">
									<tiles:insert definition="CEIBus.datasource.config.view" flush="true" >
									</tiles:insert>							
							</td>
						</tr>						
					</table>		
				<fieldset>
				<!-- Field Set: CEI Bus -->
			</td>
		</tr>	   
		<!-- CEI Server -->
	</table>
</td>

<script type="text/javascript">
	displayControl();
	disableDSFields();
</script>
<%
boolean isBusDsNewCreated = formBean.isBusDsNewCreated();
if(!isBusDsNewCreated){
%>
<script type="text/javascript">
disableBusProvider();
</script>
<%
}
%>
<%
if(formBean.isCeiConfigured()){
%>
<script type="text/javascript">
ceiConfigured();
</script>
<%
}
%>
<%
if(formBean.isMeFilestore()){
%>
<script type="text/javascript">
disableMEForFileStore();
</script>
<%
}
%>